#if !defined(AFX_MAILFRAME_H__35A6EE21_169A_4BDF_9F20_C2513178A184__INCLUDED_)
#define AFX_MAILFRAME_H__35A6EE21_169A_4BDF_9F20_C2513178A184__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MailFrame.h : header file
//
class CMailListView;
class CMailRTFView;
/////////////////////////////////////////////////////////////////////////////
// CMailFrame frame

class CMailFrame : public CFrameWnd
{
	DECLARE_DYNCREATE(CMailFrame)
protected:
	CMailFrame();           // protected constructor used by dynamic creation
	
	CaplToolBar	m_wndToolBar;
	CImageList m_il_ToolBar;
	CImageList m_il_mf_gray;
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMailFrame)
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CMailFrame();

	// Generated message map functions
	//{{AFX_MSG(CMailFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CaplMessageTreeItem;

class CMailBodyFrame : public CaplFrameWnd
{
	DECLARE_DYNCREATE(CMailBodyFrame)
protected:
	CMailBodyFrame();           // protected constructor used by dynamic creation
	
	CaplDialogBar	m_wndDlgBar;
// Attributes
public:
	CMailRTFView *m_rtfView;
	CaplHtmlView *m_htmlView;

	CString m_sTmpFile4Delete;

// Operations
public:
	void UpdateHeader(CString sFrom,  CString sTo,  CString sSubject);

	void SwitchView(CView *pNewView);

	void ShowMessage(CaplInstance *mes, CaplMessageTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMailBodyFrame)
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CMailBodyFrame();

	// Generated message map functions
	//{{AFX_MSG(CMailBodyFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAILFRAME_H__35A6EE21_169A_4BDF_9F20_C2513178A184__INCLUDED_)
